#!/bin/sh

echo "Running registrar" >&2
replace=""
if test "$REGISTRAR_REPLACE" = true; then
    replace="--replace"
fi
if test "$REGISTRAR_REPLACE" = false; then
    replace="--no-replace"
fi

debug="--no-debug"
if test "$DEBUG" = true; then
    debug="--debug"
fi

registrar  \
    --config-file /config.yaml \
    --host ${REDIS_HOST} \
    --port ${REDIS_PORT} \
    ${debug} \
    daemon \
    ${replace} >&2
